Bug 191481 - [PATCH] devel/c-unit: support STAGEDIR
Summary: [PATCH] devel/c-unit: support STAGEDIR
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-29 14:37 UTC by tak.swd
Modified: 2014-07-05 05:39 UTC (History)
1 user (show)

See Also:


Attachments
STAGEDIR support patch file (4.45 KB, patch)
2014-06-29 14:37 UTC, tak.swd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tak.swd 2014-06-29 14:37:20 UTC
Created attachment 144247 [details]
STAGEDIR support patch file

Support STAGEDIR
patch file attached.
Comment 1 Thomas Zander freebsd_committer 2014-06-29 19:23:07 UTC
There are plist issues with default OPTIONS:

====> Running Q/A tests (stage-qa)
Warning: 'lib/libcunit.so.1.0.1' is not stripped consider using ${STRIP_CMD}
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%PORTEXAMPLES%%@dirrmtry %%EXAMPLESDIR%%
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/c-unit
====>> Error: check-plist failures detected


The strip warning is not a problem, but could you take a look at handling EXAMPLESDIR?

Thanks in advance!
Comment 2 commit-hook freebsd_committer 2014-06-30 07:08:54 UTC
A commit references this bug:

Author: daichi
Date: Mon Jun 30 07:08:40 UTC 2014
New revision: 359806
URL: http://svnweb.freebsd.org/changeset/ports/359806

Log:
  - stagefied

  PR:		191481
  Submitted by:	maintainer

Changes:
  head/devel/c-unit/Makefile
  head/devel/c-unit/pkg-plist
Comment 3 Thomas Zander freebsd_committer 2014-07-05 05:39:44 UTC
Fixed by commits r359806 and r359813